Bug 429720 - mutex_lock is now unavailable to non-GPL kernel modules
mutex_lock is now unavailable to non-GPL kernel modules
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 12:31 EST by Simon Wilkinson
Modified: 2008-06-30 16:07 EDT (History)
0 users

See Also:
Fixed In Version: F9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 16:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Wilkinson 2008-01-22 12:31:43 EST
Description of problem:

The Fedora kernel is built with CONFIG_DEBUG_LOCK_ALLOC, which redefines mutex_lock as 
mutex_lock_nested. mutex_lock is available to all users, but mutex_lock_nested is 
EXPORT_SYMBOL_GPL, making it impossible to compile open source, but non-GPL, kernel modules 
against the standard kernel.

Version-Release number of selected component (if applicable):
2.6.24-0.157.rc8.fc9

How reproducible:
Build a non-GPL kernel module which attempts to call mutex_lock()


Steps to Reproduce:
1.
2.
3.
  
Actual results:
modpost complains about the use of mutex_lock_nested()

Expected results:
Module compiles successfully

Additional info:
Comment 1 Bug Zapper 2008-05-14 00:50:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.